function [y] = spr2(x)

N = 1;
n = 1;
    
clf;

for k=1:n:N
    
  % układ inercyjny I-go rzędu
  %T = 1;
  %sys(k) = tf([k], [T 1]);            
  % układ inercyjny II-go rzędu
  %T = 1; U = 1;
  %sys(k) = tf([k], [T U 1]);
  % układ trzeciego rzędu
  %T = 1; U = 1; V = 2;
  %sys(k) = tf([k], [T U V 1]);
  % układ opóźniający
  %sys(k) = tf([k],[1],0.1,'outputdelay',3);
  % układ opóźniający z inercją I-go rzędu
  T = 1;
  sys(k) = tf([k], [T 1],'outputdelay',5); 
  % układ całkujący z inercją I-go rzędu
  %T = 1; U = 2;
  %sys(k) = tf([k], [T U 0]);
  % układ różniczkujący z inercją I-go rzędu
  %T = 1;
  %sys(k) = tf([k 0], [T 1]);            

end

subplot(1,2,1);
for k=1:n:N
    nyquist(sys(k));
    hold on;
end
axis equal;
%axis([-1.5 1.5 -1.5 1.5]);
grid on;
hold off;

subplot(1,2,2);
for k=1:n:N
    bode(sys(k));
    hold on;
end
grid on;
hold off;

end